com.mapinfo.midev.data

## Interface ITableDefinition

All Known Subinterfaces:
  IFileTableDefinition

All Known Implementing Classes:
  NativeTableDefinition, ShapeTableDefinition

    public interface ITableDefinition

Defines the properties and settings that are necessary to instantiate an `IDataSourceTable` for a specific data provider. This interface places very few requirements on the content of a table definition as this information varies for each data provider implementation. Table definitions are supplied to the appropriate data provider when opening the table to gain access to the data in the table.

`ITableDefinition` and `IDataSourceDefinition` objects are also used for persistence to workspaces, repositories, TAB files, or other formats.

Implementations of `ITableDefinition` should provide a meaningful implementation of `Object.equals(Object)` and `Object.hashCode()`.

### Method Summary

All Methods Instance Methods Abstract Methods
`IDataProvider` `getDataProvider()` Returns the `IDataProvider` implementation that supports this table type.
`String` `getName()` Returns the name of the table.

### Method Detail

#### getDataProvider

    IDataProvider getDataProvider()

Returns the `IDataProvider` implementation that supports this table type.

Returns:
  the `IDataProvider` implementation that supports this table type.

#### getName

    String getName()

Returns the name of the table.

Returns:
  the name of the table